# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ip2location-ip2location"
version = "0.1.0"
authors = ["vkill <vkill.net@gmail.com>"]
exclude = [
    "/data/**/*.BIN",
    "/data/**/*.ZIP",
    "/data/**/*.CSV",
]
description = "IP2Location™ IP Address Geolocation Database"
homepage = "https://github.com/bk-rs/ip2location-rs"
documentation = "https://docs.rs/ip2location-ip2location"
readme = "README.md"
keywords = []
categories = []
license = "Apache-2.0 OR MIT"
repository = "https://github.com/bk-rs/ip2location-rs"

[package.metadata.cargo-all-features]
skip_optional_dependencies = true
denylist = ["_integration_tests"]
skip_feature_sets = [[
    "tokio_fs",
    "async_fs",
]]

[dependencies.async-compat]
version = "0.2"
optional = true
default-features = false

[dependencies.async-fs]
version = "1.5"
optional = true
default-features = false

[dependencies.futures-util]
version = "0.3"
features = [
    "std",
    "io",
]
default-features = false

[dependencies.ip2location-bin-format]
version = "0.1"
features = [
    "chrono",
    "lru",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = [
    "std",
    "derive",
]
default_features = false

[dependencies.serde-field-with]
version = "0.1.2"
features = ["std"]
default-features = false

[dependencies.tokio]
version = "1.17"
features = ["fs"]
optional = true
default-features = false

[dev-dependencies.csv]
version = "1.1"

[dev-dependencies.rand]
version = "0.8"

[dev-dependencies.tokio]
version = "1.17"
features = [
    "macros",
    "rt",
]

[features]
_integration_tests = ["tokio_fs"]
async_fs = ["async-fs"]
default = ["tokio_fs"]
tokio_fs = [
    "tokio",
    "async-compat",
]
